import 'package:dio/dio.dart';

class LogInterceptor extends InterceptorsWrapper {
  LogInterceptor()
      : super(
          onRequest: (options, handler) {
            print(
                'METHOD: ${options.method} \nDATA: [${options.data}] \nURL: ${options.uri}');
          },
          onResponse: (response, handler) {
            print(
                'RESPONSE: ${response.statusCode} \n Data: ${response.data} \n Data Length: ${response.data.length}');
          },
          onError: (error, handler) {
            print(
                'ERROR: ${error.response?.statusCode} \n Message: ${error.message} \n Data: ${error.response?.data}');
          },
        );
}
